import { nextPossibleTokensAfter as n, NextAfterTokenWalker as i } from "../../grammar/interpreter.js";
import r from "../../../../../../../../lodash-es@4.17.21/node_modules/lodash-es/isUndefined.js";
import c from "../../../../../../../../lodash-es@4.17.21/node_modules/lodash-es/head.js";
class p {
  initContentAssist() {
  }
  computeContentAssist(t, s) {
    const o = this.gastProductionsCache[t];
    if (r(o))
      throw Error(`Rule ->${t}<- does not exist in this grammar.`);
    return n([o], s, this.tokenMatcher, this.maxLookahead);
  }
  // TODO: should this be a member method or a utility? it does not have any state or usage of 'this'...
  // TODO: should this be more explicitly part of the public API?
  getNextPossibleTokenTypes(t) {
    const s = c(t.ruleStack), e = this.getGAstProductions()[s];
    return new i(e, t).startWalking();
  }
}
export {
  p as ContentAssist
};
